Role Name
=========

This role installs IM: https://gitea.caret.be/jens/im

Requirements
------------

This role requires a database server to to be present where im can connect to

Role Variables
--------------

- `im_admin_password`: required, password for 'admin' user for im
- `im_secret_key`: optional Secret Key for Django app, defaults to random 56char string recreated on every run (This will invalidated current open sessions)
- `im_user`: user running the app, defaults to 'im' (this user will be created)
- `im_home`: path to install the im app in, defaults to /home/im (this path will be created)
- `im_domain`: the domain this app will run on (Needed for django's ALLOWED_HOSTS), default localhost
- `im_db_name`: database name, defaults to 'im'
- `im_db_user`: database user, defaults to 'im'
- `im_db_password`: database password, defaults to '', (ignored for unix socket connection)
- `im_db_host`: database server, defaults to '/run/postgresql/' for local unix socket connection
- `im_db_port`: database port, defaults to 5432 (ignored for unix socket connection)
- `im_workers`: the number of gunicorn http worker threads (defaults to 4)
- `im_http_listen`: the ip address to bind to, change this to ip address of the host if you use a reverse proxy on a different host, defaults to localhost
- `im_http_port`: the http port to bind to, defaults to 80

Dependencies
------------
None

Example Playbook
----------------

```yaml
- name: "Install im pantry app"
  hosts: im
  roles:
      - ansible-role-im
  vars:
      - im_domain: "im.example.com"
      - im_http_listen: "{{inventory_hostname}}"
      - im_admin_password: "test"
```

```yaml
- name: "Install im pantry app"
  hosts: im
  roles:
      - ansible-role-im
  vars:
      - im_domain: "im.example.com"
      - im_admin_email: "im@example.com"
      - im_http_listen: "192.168.1.112"
      - im_http_port: 8000
      - im_admin_password: !vault |
          $ANSIBLE_VAULT;1.1;AES256
          33366337663233346138373232353438613362636634393334613935303466343238646361613037
          3738623833643738636162303362383665646132616362320a366338313363356634636534653932
          36383131333437613236303662346637633536373637343562336465663639353765616130353536
          3439653639343234390a636334383262663363353030333837316430383762346463386166626637
          6536
```



License
-------

GPL-v3

Author Information
------------------

Jens (gitea.caret.be)
